> ## Documentation Index
> Fetch the complete documentation index at: https://vectorly-783efd43.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a token by its ID.

> Modify various property of a token.



## OpenAPI

````yaml put /base/user/token/{token_id}
openapi: 3.1.0
info:
  title: Coinfer Server API
  version: 0.0.1776236533+0db4b8c
  description: |+

    This part of document describes the HTTP APIs of the Coinfer cloud.

servers:
  - url: https://api.coinfer.ai
    description: The production environment
  - url: https://dev.coinfer.ai
    description: The development environment
security: []
tags:
  - name: Object
    description: APIs related to object CRUD operations.
  - name: Invoke
    description: APIs used to invoke CloudFunction or run workflow.
  - name: Notification
    description: APIs related to notification.
  - name: Authorization
    description: >-
      APIs related to user, token, login, etc.


      Normally APIs in this group should not be used. You should get API token
      from our website and then use the token to call other APIs.
paths:
  /base/user/token/{token_id}:
    put:
      tags:
        - Authorization
      summary: Update a token by its ID.
      description: Modify various property of a token.
      operationId: coinfer_apis_base_api_modify_token
      parameters:
        - in: path
          name: token_id
          schema:
            title: Token Id
            type: string
          required: true
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ModifyToken'
        required: true
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccRsp_GetTokensRsp_'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrRsp'
      security:
        - GlobalAuth: []
components:
  schemas:
    ModifyToken:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        desc:
          anyOf:
            - type: string
            - type: 'null'
          title: Desc
        expire:
          anyOf:
            - format: date-time
              type: string
            - type: 'null'
          title: Expire
      title: ModifyToken
      type: object
    SuccRsp_GetTokensRsp_:
      properties:
        status:
          const: ok
          title: Status
          type: string
        data:
          $ref: '#/components/schemas/GetTokensRsp'
      required:
        - status
        - data
      title: SuccRsp[GetTokensRsp]
      type: object
    ErrRsp:
      properties:
        status:
          const: error
          title: Status
          type: string
        code:
          title: Code
          type: string
        message:
          title: Message
          type: string
      required:
        - status
        - code
        - message
      title: ErrRsp
      type: object
    GetTokensRsp:
      properties:
        id:
          title: Id
          type: integer
        token:
          title: Token
          type: string
        token_name:
          title: Token Name
          type: string
        token_desc:
          title: Token Desc
          type: string
        token_expire:
          examples:
            - '2025-02-11T23:56:09.473Z'
          format: date-time
          title: Token Expire
          type: string
      required:
        - id
        - token
        - token_name
        - token_desc
        - token_expire
      title: GetTokensRsp
      type: object
  securitySchemes:
    GlobalAuth:
      type: http
      scheme: bearer

````